commit 48914b5d5fc12ae96d4f3ac3fc9c6fd08a1d6496
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Oct 2 21:39:58 2023 +0200

    poppler 23.10.0

 CMakeLists.txt   |  4 ++--
 NEWS             | 10 ++++++++++
 cpp/Doxyfile     |  2 +-
 qt5/src/Doxyfile |  2 +-
 qt6/src/Doxyfile |  2 +-
 5 files changed, 15 insertions(+), 5 deletions(-)

commit a678acd1224e40140980ec05b117e3fcded36246
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Fri Sep 29 13:49:03 2023 +0200

    Check if linker supports version scripts

    This is at least not fully supported on solaris.

 CMakeLists.txt | 20 +++++++++++++++++++-
 1 file changed, 19 insertions(+), 1 deletion(-)

commit 6789f6fb2774940c2b60d71850826f0dad988167
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Sep 28 00:57:00 2023 +0200

    CI: Use fedora 39

 .gitlab-ci.yml | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 0832cb20ebb224aed388ab3d6ff90e5e2cbe394e
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Sep 28 00:42:05 2023 +0200

    CI: Use clang 16

 .gitlab-ci.yml | 20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)

commit c673208da4144429f2e43b4ad47c349ebda38691
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Sep 27 19:09:02 2023 +0200

    FoFiType1::parse: Also keep parsing if !gotMatrix

    We probably forgot to add it in
    876021b1aa16ad38767a91e1be31c392f368fde2

 fofi/FoFiType1.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bbf225296bcb698713fda0d144e9d86ea2e28c55
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Sep 26 22:55:30 2023 +0200

    Use RefRecursionChecker in StructElement

 poppler/StructElement.cc  | 11 +++++------
 poppler/StructElement.h   |  8 ++++----
 poppler/StructTreeRoot.cc |  6 +++---
 3 files changed, 12 insertions(+), 13 deletions(-)

commit 1f8500587a5970879ddc282d0ae041991db6e6a6
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Sep 25 17:34:12 2023 +0200

    CI: Add android Qt6 CI

 .gitlab-ci.yml | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

commit a28fdcb8c7247d3b84363e0f5de82e493a50b185
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Sep 25 18:37:13 2023 +0200

    Update (C)

 splash/Splash.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d0440bf2b525dcb3372802a5b5b621a3e2d5be6e
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Sep 25 18:07:34 2023 +0200

    Use zu for printf + size_t

 splash/Splash.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 991470945f8f09b4a675e45df1223110eac1a9d8
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Mon Sep 25 10:27:10 2023 +0000

    cairo: update type 3 fonts for cairo 1.18 api

 poppler/CairoFontEngine.cc | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit 60dc1dd072565f0999519ead607f2b4e93feb8b5
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Sep 25 11:38:16 2023 +0200

    CI: -DENABLE_GPGME=OFF for glib_docs

 .gitlab-ci.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8646a6aa2cb60644b56dc6e6e3b3af30ba920245
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Aug 15 23:44:59 2023 +0200

    Make a few more dependencies soft-mandatory

    they can be disabled via cmake option

 .gitlab-ci.yml | 16 +++++++----
 CMakeLists.txt | 86
 ++++++++++++++++++++++++++--------------------------------
 2 files changed, 49 insertions(+), 53 deletions(-)

commit 49cc0c4ccbc7776454cd5c7dd4136f52e3d545c8
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Sep 20 22:25:35 2023 +0200

    Update (C)

 poppler/Annot.cc         | 2 +-
 poppler/FontInfo.cc      | 2 +-
 poppler/FontInfo.h       | 2 +-
 poppler/Object.h         | 2 +-
 poppler/PageLabelInfo.cc | 2 +-
 poppler/PageLabelInfo.h  | 2 +-
 6 files changed, 6 insertions(+), 6 deletions(-)

commit e899dc75eb692f7496b9b4d683916c3626eadc02
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Sep 20 22:20:55 2023 +0200

    FontInfoScanner::scanFonts: Fix infinite recursion on broken files

 poppler/FontInfo.cc | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 8ba682b1a5d53efe975849a260e78715da74263c
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Sep 20 22:20:13 2023 +0200

    Introduce RefRecursionChecker

 poppler/Annot.cc         | 17 +++--------------
 poppler/FontInfo.cc      | 15 +++++----------
 poppler/FontInfo.h       |  2 +-
 poppler/Object.h         | 22 ++++++++++++++++++++++
 poppler/PageLabelInfo.cc | 14 +++++---------
 poppler/PageLabelInfo.h  |  2 +-
 6 files changed, 37 insertions(+), 35 deletions(-)

commit 77573e1a706f861ca4677ea36dbdcc0a9fb50a99
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Sep 20 00:32:15 2023 +0200

    Fix DCTStream getting stuck in some broken files

    Fixes #1430

 poppler/DCTStream.cc | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit e6be3e11ada80291d5f9aa74dbe1604ff20c7cd1
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Sep 18 23:41:53 2023 +0200

    Update (C)

 poppler/XRef.cc | 1 +
 1 file changed, 1 insertion(+)

commit 6591a88c05285a7678dd8e7299d064f052096665
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Sep 12 23:08:51 2023 +0200

    PDFDoc::savePageAs: Use more unique_ptr

 poppler/PDFDoc.cc | 65
 ++++++++++++++++++++++---------------------------------
 1 file changed, 26 insertions(+), 39 deletions(-)

commit d37735a209da2b8b62e18afc7ab0f7db8a28f965
Author: Even Rouault <even.rouault@spatialys.com>
Date:   Fri Sep 8 17:36:29 2023 +0200

    XRef::reserve(): fix use-after-free and integer overflow on large
    XRref /Size

    This fixes two issues:

    - when using greallocn(), and the reallocation failed, the previous
      'entries' array was unexpectedly freed, causing later use-after-free

    ```
    $ (ulimit -v 1000000; valgrind ./utils/pdftoppm -png test.pdf)
    Out of memory
    ==1251090== Invalid read of size 4
    ==1251090==    at 0x49F685B: Object::free() (poppler/Object.cc:115)
    ==1251090==    by 0x4A339BB: ~Object (poppler/Object.h:171)
    ==1251090==    by 0x4A339BB: XRef::resize(int) (poppler/XRef.cc:459)
    ==1251090==    by 0x4A32E20: XRef::constructXRef(bool*, bool)
    (poppler/XRef.cc:877)
    ==1251090==    by 0x4A32CD4: XRef::XRef(BaseStream*, long
    long, long long, bool*, bool, std::function<void ()> const&)
    (poppler/XRef.cc:318)
    ==1251090==    by 0x4A00531: PDFDoc::setup(std::optional<GooString>
    const&, std::optional<GooString> const&, std::function<void ()>
    const&) (poppler/PDFDoc.cc:247)
    ==1251090==    by 0x4A002DB: PDFDoc::PDFDoc(std::unique_ptr<GooString,
    std::default_delete<GooString> >&&, std::optional<GooString> const&,
    std::optional<GooString> const&, void*, std::function<void ()> const&)
    (poppler/PDFDoc.cc:161)
    ==1251090==    by 0x49F49EA: LocalPDFDocBuilder::buildPDFDoc(GooString
    const&, std::optional<GooString> const&, std::optional<GooString>
    const&, void*) (poppler/LocalPDFDocBuilder.cc:0)
    ==1251090==    by 0x4A1B1E5: PDFDocFactory::createPDFDoc(GooString
    const&, std::optional<GooString> const&, std::optional<GooString>
    const&, void*) (poppler/PDFDocFactory.cc:62)
    ==1251090==    by 0x4035CA: main (utils/pdftoppm.cc:503)
    ==1251090==  Address 0x6698648 is 24 bytes inside a block of size
    40,960 free'd
    ==1251090==    at 0x483CA3F: free (in
    /usr/lib/x86_64-linux-gnu/valgrind/vgpreload_memcheck-amd64-linux.so)
    ==1251090==    by 0x4927B1C: greallocn(void*, int, int, bool, bool)
    (goo/gmem.h:0)
    ==1251090==    by 0x4A33A13: greallocn_checkoverflow (goo/gmem.h:185)
    ==1251090==    by 0x4A33A13: reserve (poppler/XRef.cc:430)
    ==1251090==    by 0x4A33A13: XRef::resize(int) (poppler/XRef.cc:446)
    ==1251090==    by 0x4A32CB5: XRef::XRef(BaseStream*, long
    long, long long, bool*, bool, std::function<void ()> const&)
    (poppler/XRef.cc:317)
    ==1251090==    by 0x4A00531: PDFDoc::setup(std::optional<GooString>
    const&, std::optional<GooString> const&, std::function<void ()>
    const&) (poppler/PDFDoc.cc:247)
    ==1251090==    by 0x4A002DB: PDFDoc::PDFDoc(std::unique_ptr<GooString,
    std::default_delete<GooString> >&&, std::optional<GooString> const&,
    std::optional<GooString> const&, void*, std::function<void ()> const&)
    (poppler/PDFDoc.cc:161)
    ==1251090==    by 0x49F49EA: LocalPDFDocBuilder::buildPDFDoc(GooString
    const&, std::optional<GooString> const&, std::optional<GooString>
    const&, void*) (poppler/LocalPDFDocBuilder.cc:0)
    ==1251090==    by 0x4A1B1E5: PDFDocFactory::createPDFDoc(GooString
    const&, std::optional<GooString> const&, std::optional<GooString>
    const&, void*) (poppler/PDFDocFactory.cc:62)
    ==1251090==    by 0x4035CA: main (utils/pdftoppm.cc:503)
    ==1251090==  Block was alloc'd at
    ==1251090==    at 0x483B7F3: malloc (in
    /usr/lib/x86_64-linux-gnu/valgrind/vgpreload_memcheck-amd64-linux.so)
    ==1251090==    by 0x4927ACD: grealloc (goo/gmem.h:77)
    ==1251090==    by 0x4927ACD: greallocn(void*, int, int, bool, bool)
    (goo/gmem.h:174)
    ==1251090==    by 0x4A33A13: greallocn_checkoverflow (goo/gmem.h:185)
    ==1251090==    by 0x4A33A13: reserve (poppler/XRef.cc:430)
    ==1251090==    by 0x4A33A13: XRef::resize(int) (poppler/XRef.cc:446)
    ==1251090==    by 0x4A3344E: XRef::constructXRef(bool*, bool)
    (poppler/XRef.cc:979)
    ==1251090==    by 0x4A32BF9: XRef::XRef(BaseStream*, long
    long, long long, bool*, bool, std::function<void ()> const&)
    (poppler/XRef.cc:304)
    ==1251090==    by 0x4A00531: PDFDoc::setup(std::optional<GooString>
    const&, std::optional<GooString> const&, std::function<void ()>
    const&) (poppler/PDFDoc.cc:247)
    ==1251090==    by 0x4A002DB: PDFDoc::PDFDoc(std::unique_ptr<GooString,
    std::default_delete<GooString> >&&, std::optional<GooString> const&,
    std::optional<GooString> const&, void*, std::function<void ()> const&)
    (poppler/PDFDoc.cc:161)
    ==1251090==    by 0x49F49EA: LocalPDFDocBuilder::buildPDFDoc(GooString
    const&, std::optional<GooString> const&, std::optional<GooString>
    const&, void*) (poppler/LocalPDFDocBuilder.cc:0)
    ==1251090==    by 0x4A1B1E5: PDFDocFactory::createPDFDoc(GooString
    const&, std::optional<GooString> const&, std::optional<GooString>
    const&, void*) (poppler/PDFDocFactory.cc:62)
    ==1251090==    by 0x4035CA: main (utils/pdftoppm.cc:503)
    ```

    - the logic to exponentially resize the capacity of the array was
      relying on undefined behaviour of overflow of int. Change that to
      explictely test the value of the capacity before multiplying by 2.

 poppler/XRef.cc | 26 +++++++++++++++++++-------
 1 file changed, 19 insertions(+), 7 deletions(-)

commit c44c25ea36a0bf33b6ba46d16ab922dcc13f591e
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Sep 11 23:37:06 2023 +0200

    PDFDoc::savePageAs: Return cleanly if page is not a dict

 poppler/PDFDoc.cc | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 1223c1eb42c62d1587d929b8c72ad8513f0e4b7d
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Sep 12 22:45:48 2023 +0200

    CI: unbreak mingw

 .gitlab-ci.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit cc2fd7c39f1fddd233336099c031bff6bc0d9828
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Thu Sep 7 16:06:40 2023 +0200

    More supported gnupg releases

    The upcoming 2.2.42 version will have the bugfixes backported for pdf
    signatures to work.

 poppler/GPGMECryptoSignBackend.cc | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

commit 3f2e643c4e1c4295c7521681216a90bb02518748
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Sep 6 22:15:18 2023 +0200

    FormField::getFullyQualifiedName: Fix infinite loop on malformed files

 poppler/Form.cc | 52 +++++++++++++++++++++++++++++-----------------------
 1 file changed, 29 insertions(+), 23 deletions(-)

commit d253013a0ce0dd0cf79070dd718377b3b3afc7ce
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Sep 6 21:54:30 2023 +0200

    Update (C)

 utils/pdfsig.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4ba2441bcbf0b4a7b2aaa080ce3a9a1d04d80e64
Author: Oliver Sander <oliver.sander@tu-dresden.de>
Date:   Sat Jun 17 09:26:15 2023 +0200

    Let method utf8ToUtf16WithBom return a std::string object

    Rather than a std::unique_ptr to a GooString. This avoids a heap
    allocation.

 glib/poppler-document.cc           |  4 ++--
 poppler/Lexer.cc                   |  5 +++--
 poppler/UTF.cc                     | 10 +++++-----
 poppler/UTF.h                      |  9 ++++++---
 qt5/tests/check_utf_conversion.cpp |  4 ++--
 qt6/tests/check_utf_conversion.cpp |  4 ++--
 utils/pdfattach.cc                 | 10 +++++-----
 utils/pdfsig.cc                    |  4 ++--
 8 files changed, 27 insertions(+), 23 deletions(-)

commit 6e2c0fe0434cfadc3d161e7cd348212f644b725e
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Sep 5 23:15:14 2023 +0200

    poppler 23.09.0

 CMakeLists.txt         |  4 ++--
 NEWS                   | 20 ++++++++++++++++++++
 cpp/Doxyfile           |  2 +-
 qt5/src/CMakeLists.txt |  2 +-
 qt5/src/Doxyfile       |  2 +-
 qt6/src/CMakeLists.txt |  2 +-
 qt6/src/Doxyfile       |  2 +-
 7 files changed, 27 insertions(+), 7 deletions(-)

commit 73985c62006b7faa0fd46a1bc83e578809da7ae2
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Sep 5 20:21:55 2023 +0200

    Update (C)

 qt5/src/poppler-ps-converter.cc | 1 +
 qt5/src/poppler-qt5.h           | 1 +
 qt6/src/poppler-ps-converter.cc | 1 +
 qt6/src/poppler-qt6.h           | 1 +
 4 files changed, 4 insertions(+)

commit 309cee09f2f199dd70d066fad63a9b730881d151
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Sep 5 09:49:31 2023 +0200

    CI: Use non deprecated variable

    Hopefully this fixes the problem with wrong caches being picked up

 .gitlab-ci.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 00b7f3471ec8d9e40d8f713b30cd8378fe7cf06f
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Sep 5 00:47:52 2023 +0200

    PDFDoc::savePageAs: Return cleanly if Catalog Pages is not a dict

 poppler/PDFDoc.cc | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 27acee72fd3da6ce3d2027f7758d22b98022ccd4
Author: Kevin Ottens <kevin.ottens@enioka.com>
Date:   Wed Aug 30 15:56:06 2023 +0200

    Allow to force a rasterized overprint preview during PS conversion

 qt5/src/poppler-ps-converter.cc | 14 ++++++++++++++
 qt5/src/poppler-qt5.h           | 13 ++++++++++++-
 qt6/src/poppler-ps-converter.cc | 14 ++++++++++++++
 qt6/src/poppler-qt6.h           | 13 ++++++++++++-
 4 files changed, 52 insertions(+), 2 deletions(-)

commit 785a87baa33059d6293c8764e863b1bd7f9ffaf9
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Sep 5 00:09:42 2023 +0200

    Update (C)

 goo/GooString.cc             | 1 +
 poppler/Lexer.cc             | 1 +
 poppler/NameToUnicodeTable.h | 2 +-
 3 files changed, 3 insertions(+), 1 deletion(-)

commit e121f3d29f2bdbf44d9e4d67729c1423dbc1db82
Author: Even Rouault <even.rouault@spatialys.com>
Date:   Wed Aug 30 22:42:05 2023 +0200

    GooString::appendfv(): emit warning on strings > 2 GB

 goo/GooString.cc | 12 ++++++++++--
 1 file changed, 10 insertions(+), 2 deletions(-)

commit b8dc27ac07dfea0141211124944b835c35c0d626
Author: Even Rouault <even.rouault@spatialys.com>
Date:   Mon Aug 28 10:50:04 2023 +0200

    GooString::appendfv(): avoid int overflow on strings > 2 GB

 goo/GooString.cc | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 4202ea8077e16ef62d4955086e80e4347e3f61c4
Author: Even Rouault <even.rouault@spatialys.com>
Date:   Mon Aug 28 10:45:04 2023 +0200

    Lexer: limit max name token length to 1 MB.

    Currently there is no hard limit to the maximum length of a name,
    which
    may cause the ``n`` variable to overflow INT_MAX (mostly unnoticed
    unless building with -ftrapv), but later when drawing a page
    using such
    invalid huge name, ``len = strlen(str)`` at line 417 of GooString.cc,
    invoked by ``error(errSyntaxError, -1, "XObject '{0:s}' is unknown",
    name)`` in Gfx.cc::334, overflows to a negative value, which causes an
    invalid length exception in ``append(str, len)`` at GooString.cc:445

    Thus we limit the maximum length of a name to 1 MB which is way beyond
    what the spec allows.

 poppler/Lexer.cc | 5 +++++
 1 file changed, 5 insertions(+)

commit 38692ffde1dd8f1321f10ed3d962283cd96662e0
Author: Vincent Lefevre <vincent@vinc17.net>
Date:   Wed Aug 30 14:17:07 2023 +0200

    Add ToUnicode support for similarequal

    For \simeq, TeX generates /similarequal instead of Adobe's
    /asymptoticallyequal; so similarequal needs to be supported too.

    In TeX Live 2023:
    texmf-dist/fonts/map/glyphlist/glyphlist.txt (Adobe Glyph List)
    contains
      asymptoticallyequal;2243
    but texmf-dist/fonts/map/glyphlist/texglyphlist.txt (Extensions to the
    Adobe Glyph List for TeX fonts and encodings) contains
      similarequal;2243
    As a consequence, texmf-dist/tex/generic/pdftex/glyphtounicode.tex
    contains both
      \pdfglyphtounicode{asymptoticallyequal}{2243}
      \pdfglyphtounicode{similarequal}{2243}

    NameToUnicodeTable.h already has
      { 0x2243, "asymptoticallyequal" }
    so one just needs to add the missing
      { 0x2243, "similarequal" }

 poppler/NameToUnicodeTable.h | 1 +
 1 file changed, 1 insertion(+)

commit 67bd938e9c6b75bd34e0231fd50b567b118e69af
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Aug 30 11:11:45 2023 +0200

    Add (C)

 poppler/Annot.cc | 1 +
 1 file changed, 1 insertion(+)

commit 3fd5a6f4dfc5c6388d896ac72ffa9584c753ef22
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Thu Aug 10 16:36:03 2023 +0200

    Fix digital signatures for NeedAppearance=true

    Always write out the appearance streams for signatures. Several pdf
    readers can't create it
     - firefox pdf viewer
     - ghostscript
     - ourselves
    Also, annotations without appearance streams are deprecated in pdf2.0.

    Also, if appearance streams exists for a digital signature, don't
    regenerate it, as that results is an empty visual representation,
    and it
    might also fiddle with the signature valudation

    It is not completely clear from the standard if this is 100%
    conforming
    behavior, but NeedAppearance should be set to true if some annotatinos
    are without appearance streams; it is not really described what should
    happen if NeedAppearances is true and some annotations are with
    appearance streams.

 poppler/Annot.cc | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

commit 2368e099c9cd36d8156a2d188d6cab1883410ff7
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Aug 23 16:32:08 2023 +0200

    Update (C)

 poppler/GlobalParams.cc    | 1 +
 poppler/GlobalParams.h     | 1 +
 qt5/src/poppler-private.cc | 1 +
 qt6/src/poppler-private.cc | 1 +
 4 files changed, 4 insertions(+)

commit bdaa042978b0bd3e6bcbc1879263597837336715
Author: Shivodit Gill <shivodit.gill@gmail.com>
Date:   Wed Aug 23 12:34:09 2023 +0000

    Add Android-specific font matching functionality to Poppler

 CMakeLists.txt             |  16 +++--
 config.h.cmake             |   3 +
 poppler/GlobalParams.cc    | 161
 ++++++++++++++++++++++++++++++++++++++++++++-
 poppler/GlobalParams.h     |   4 +-
 qt5/src/Mainpage.dox       |  19 ++++++
 qt5/src/poppler-private.cc |  33 +++++++++-
 qt6/src/Mainpage.dox       |  20 ++++++
 qt6/src/poppler-private.cc |  32 +++++++++
 8 files changed, 281 insertions(+), 7 deletions(-)

commit 7da36fe953d67c9a14a42bfda28d44cd3bf1880c
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Aug 9 18:59:48 2023 +0200

    Revert "CI: fedora mingw qt6 is borked again :/"

    This reverts commit 9f1885168bd380583390a805b580af1604a3990b.

 .gitlab-ci.yml | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit 7dedced88e354625ef3f4dc09c9732a4d91cf5d7
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Wed Aug 2 22:39:27 2023 +0000

    Provide the key location for certificates you can sign with

 poppler/CertificateInfo.cc        | 11 ++++++++++-
 poppler/CertificateInfo.h         | 19 +++++++++++++++++++
 poppler/GPGMECryptoSignBackend.cc |  7 +++++++
 qt5/src/poppler-form.cc           | 23 +++++++++++++++++++++++
 qt5/src/poppler-form.h            | 25 +++++++++++++++++++++++++
 qt6/src/poppler-form.cc           | 23 +++++++++++++++++++++++
 qt6/src/poppler-form.h            | 25 +++++++++++++++++++++++++
 utils/pdfsig.cc                   | 18 +++++++++++++++++-
 8 files changed, 149 insertions(+), 2 deletions(-)

commit 1f1823045d71cc2f00ef43320cd181adf68a9d9f
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Tue Jul 18 10:07:50 2023 +0200

    Don't look up same glyph multiple times

    When  iterating over the unicode codepoints, no need to check
    the fonts
    if they still contains the same glyph as we already checked.

 poppler/Form.cc | 6 ++++++
 1 file changed, 6 insertions(+)

commit 6e96ac9d2f5003e27bb2772ea71d76f0d2c30ebe
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Aug 1 23:51:42 2023 +0200

    poppler 23.08.0

 CMakeLists.txt      |  2 +-
 NEWS                | 16 ++++++++++++++++
 cpp/Doxyfile        |  2 +-
 glib/CMakeLists.txt |  2 +-
 qt5/src/Doxyfile    |  2 +-
 qt6/src/Doxyfile    |  2 +-
 6 files changed, 21 insertions(+), 5 deletions(-)

commit 9f1885168bd380583390a805b580af1604a3990b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Aug 1 20:14:39 2023 +0200

    CI: fedora mingw qt6 is borked again :/

 .gitlab-ci.yml | 12 ------------
 1 file changed, 12 deletions(-)

commit 9c98812e8c68401c201719ce0c7a5ea67cd00f5d
Author: Marek Kasik <mkasik@redhat.com>
Date:   Thu Jul 27 17:03:41 2023 +0200

    glib: Add new members to PopplerCertificateInfo

    These new members of the structure can be used to show more detailed
    info about
    who signed the document and more info about issuer of the certificate.

    Add PopplerCertificateInfo to PopplerSignatureInfo to be able
    to get certificate info of the signature.

 glib/poppler-form-field.cc          | 214
 ++++++++++++++++++++++++++++++++++--
 glib/poppler-form-field.h           |  18 ++-
 glib/reference/poppler-sections.txt |  10 ++
 glib/reference/poppler.types        |   1 +
 4 files changed, 230 insertions(+), 13 deletions(-)

commit eb3adcd80ec3ac2d7e2c5e56aec49f9e8aab0ba2
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jul 23 16:11:33 2023 +0200

    Update (C)

 poppler/Catalog.cc | 1 +
 1 file changed, 1 insertion(+)

commit d8d63630427ca39da995e148fc1a80010c1804f9
Author: Ilaï Deutel <idtl@google.com>
Date:   Wed Jul 19 19:07:54 2023 -0400

    Fix float-cast-overflow error in Catalog

    This error was triggered when running the page_label_fuzzer using
    https://github.com/mozilla/pdf.js/blob/master/test/pdfs/poppler-67295-0.pdf
    as an input.

    The fix avoids extraneous casts in Catalog.cc:

    - Before:
      - int -> double -> int
      - long long -> double -> int
      - double -> int
    - After:
      - int (no cast)
      - long long -> int
      - double -> int

 poppler/Catalog.cc | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit 0e57662f92847931e3a2ed6cee32f552b996a100
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Thu Jul 6 12:06:36 2023 +0200

    Mark pdf file argument as required; make documentation match code

 utils/pdftotext.1 | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 823de0858dff673f4ecdbad3386a702b5e0ec3b8
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Thu Jul 6 09:07:28 2023 +0200

    Version symbols in poppler core

    This prevents crashes and collisions in the case where two poppler
    core
    libraries are in the same process.

    The likely case is if an application is linked to both poppler core
    and a stable frontend, and poppler is updated and the application
    is not yet recompiled against the newer poppler core, then the newer
    frontend pulls in newer poppler core while the application pulls
    in the
    older poppler core and that leads to crashes. In general, this can be
    fixed by versioning the symbols to prevent mix and match of symbols.

    Patch by Andreas Metzler <ametzler@bebt.de>

 CMakeLists.txt            | 17 +++++++++++++++--
 poppler/libpoppler.map.in |  4 ++++
 2 files changed, 19 insertions(+), 2 deletions(-)

commit fb198157f32f15e17595730ab82d03d81cdb8010
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jul 16 16:31:15 2023 +0200

    Update (C)

 poppler/XRef.cc | 1 +
 1 file changed, 1 insertion(+)

commit 22c68e52fd8f761cd1b3f38253fcae00055b02f9
Author: Ilaï Deutel <idtl@google.com>
Date:   Thu Jul 13 14:03:56 2023 -0400

    Fix use-of-uninitialized-value in XRef

    Attribute `keyLength` of `XRef` is not initialized on object
    creation, and is subsequently used, for instance in `XRef::fetch`
    ([poppler/XRef.cc:1214](https://gitlab.freedesktop.org/poppler/poppler/-/blob/e0148dbc9a0189d1ee982a1b3e763930e086b919/poppler/XRef.cc#L1214)).
    This was flagged by running `MemorySanitizer`.

 poppler/XRef.cc | 1 +
 1 file changed, 1 insertion(+)

commit e0148dbc9a0189d1ee982a1b3e763930e086b919
Author: Thomas Freitag <thomas.freitag.bbr@gmail.com>
Date:   Wed Jul 12 14:42:25 2023 +0000

    avoid bogus memory allocation size in doTilingPatternFill

 poppler/SplashOutputDev.cc | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 4ff8402775aeae27cecb9b372eda7909a3524b20
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jul 10 20:53:31 2023 +0200

    Update (C)

 poppler/GfxState.cc        | 2 +-
 poppler/SplashOutputDev.cc | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 5726aff3cd2b5a2f84200d75ff8b875f8827c6c5
Author: Thomas Freitag <thomas.freitag.bbr@gmail.com>
Date:   Mon Jul 10 09:08:01 2023 +0000

    GWG 19.2 - DeviceN Overprint (White):

 poppler/GfxState.cc        | 2 +-
 poppler/SplashOutputDev.cc | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit ee2af17e916e6310ab25b92a638df380b18a24ee
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Wed Jul 5 17:30:46 2023 +0200

    Remove unused constructor parameter

 poppler/GPGMECryptoSignBackend.cc | 6 +++---
 poppler/GPGMECryptoSignBackend.h  | 2 +-
 2 files changed, 4 insertions(+), 4 deletions(-)

commit e54d8611d979f0034f81f1c51c2dfcd14200038d
Author: Jan-Michael Brummer <jan.brummer@tabos.org>
Date:   Tue Jul 4 10:53:15 2023 +0200

    Improve poppler_get_available_signing_certificates

    Remove #ifdef and error handling

    Fixes: https://gitlab.freedesktop.org/poppler/poppler/-/issues/1412

 glib/poppler-form-field.cc | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

commit 639efb3d3b08fb10fb84976cb6db98ea929e9486
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jul 3 23:05:08 2023 +0200

    poppler 23.07.0

 CMakeLists.txt      |  4 ++--
 NEWS                | 26 ++++++++++++++++++++++++++
 cpp/Doxyfile        |  2 +-
 glib/CMakeLists.txt |  4 ++--
 qt5/src/Doxyfile    |  2 +-
 qt6/src/Doxyfile    |  2 +-
 6 files changed, 33 insertions(+), 7 deletions(-)

commit 1b1036cf4ef1bfd70f300da3534375d02195fe32
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jul 3 21:05:14 2023 +0200

    Update (C)

 poppler/Gfx.cc | 1 +
 1 file changed, 1 insertion(+)

commit c40bec5715075c12e7158639c638baa95bfcf2e8
Author: Anton Thomasson <antonthomasson@gmail.com>
Date:   Mon Jun 19 22:04:38 2023 +0200

    Don't abort command when restore runs in to a state guard

    Fixes #1395

 poppler/Gfx.cc | 1 -
 1 file changed, 1 deletion(-)

commit c46203cb5a9c57ba039658d305d6ed8e450d51e8
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jul 3 15:25:27 2023 +0200

    Add a few new NSS enums to ConvertHashTypeFromNss

 poppler/NSSCryptoSignBackend.cc | 7 +++++++
 1 file changed, 7 insertions(+)

commit ed7a7887050dd0095ebca2ec7b511f3131242efa
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Mon Jul 3 12:40:56 2023 +0200

    MSVC still unhappy with unicode bits in unicode test

 qt5/tests/check_utf8document.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit badfea70ce6d81ce7c9ce0a671c80f53d92a4b83
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Fri Jun 30 15:04:42 2023 +0200

    MSVC unhappy with utf8 in QStringLiteral

 qt5/tests/check_utf8document.cpp | 10 +++++-----
 qt6/tests/check_utf8document.cpp | 10 +++++-----
 2 files changed, 10 insertions(+), 10 deletions(-)

commit fac65b3c791b6a1bb3fa83d122b9fce9a6a93ee7
Author: Jan-Michael Brummer <jan.brummer@tabos.org>
Date:   Fri Jun 30 11:50:29 2023 +0200

    Remove g_auto functions

 glib/demo/signature.c    | 9 ++++++---
 glib/poppler-document.cc | 3 ++-
 2 files changed, 8 insertions(+), 4 deletions(-)

commit fa28ba42105b04aef25968e1a31eefeec2c48f4e
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jun 30 00:03:28 2023 +0200

    Update (C)

 poppler/GlobalParams.cc | 1 +
 1 file changed, 1 insertion(+)

commit b4f802c88e0642f0f1271cb4a23cd279e699f38d
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Wed Jun 28 15:49:24 2023 +0200

    Improve message on invalid cid font collection

    Hopefully fixes #1408

 poppler/GlobalParams.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bdd922b7caaa965828e0e45a6cde0b1585c9740e
Author: Jan-Michael Brummer <jan.brummer@tabos.org>
Date:   Wed Oct 5 08:20:13 2022 +0200

    Signatures: Add signing API to glib part

    Rectangle corrections by Marek Kasik

 glib/CMakeLists.txt                 |    6 +
 glib/demo/CMakeLists.txt            |    1 +
 glib/demo/main.c                    |    4 +-
 glib/demo/signature.c               |  437 ++++++++++++++
 glib/demo/signature.h               |   31 +
 glib/poppler-document.cc            |   98 ++++
 glib/poppler-document.h             |    5 +
 glib/poppler-form-field.cc          | 1088
 +++++++++++++++++++++++++++++++++++
 glib/poppler-form-field.h           |  114 ++++
 glib/poppler.h                      |    5 +-
 glib/reference/poppler-sections.txt |   51 ++
 glib/reference/poppler.types        |    2 +
 12 files changed, 1840 insertions(+), 2 deletions(-)

commit d1e86894cbb617c64b84fe18cae7294b1cb45eed
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Jun 29 00:35:56 2023 +0200

    Update (C)

 qt5/src/poppler-page.cc | 1 +
 qt6/src/poppler-page.cc | 1 +
 2 files changed, 2 insertions(+)

commit d9d1550a3e337e041cf2801dfcb0366fcb5b16d0
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Jun 28 00:47:14 2023 +0200

    Update (C)

 poppler/PDFDoc.cc      | 2 +-
 poppler/PSOutputDev.cc | 1 +
 poppler/PSOutputDev.h  | 1 +
 poppler/XRef.cc        | 1 +
 poppler/XRef.h         | 1 +
 5 files changed, 5 insertions(+), 1 deletion(-)

commit 7d87c7d2c6ca4f814f87329534a17dbf30203313
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Tue Jun 27 22:11:29 2023 +0000

    Allow for stream compression and compress font streams in forms

 CMakeLists.txt                 | 21 ++++-----------------
 config.h.cmake                 |  3 ---
 poppler/Form.cc                |  6 +++---
 poppler/PDFDoc.cc              | 28 ++++++++++++++++++----------
 poppler/PSOutputDev.cc         | 29 ++++++-----------------------
 poppler/PSOutputDev.h          | 11 +----------
 poppler/XRef.cc                | 13 ++++++++++---
 poppler/XRef.h                 | 11 +++++++++--
 poppler/poppler-config.h.cmake |  5 -----
 9 files changed, 51 insertions(+), 76 deletions(-)

commit 2c403ec533ad9ad821c37e3f80f8f361ce9cdea8
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jun 26 00:51:22 2023 +0200

    Fix crash if CERT_ExtractPublicKey doesn't return a public key

    Fixes KDE Bug #471422

 poppler/NSSCryptoSignBackend.cc | 40
 ++++++++++++++++++++++------------------
 1 file changed, 22 insertions(+), 18 deletions(-)

commit 6ebe45e8dceae11d02c74df47c34f4490a45a15e
Author: Kevin Ottens <kevin.ottens@enioka.com>
Date:   Wed Jun 21 15:10:48 2023 +0200

    Don't crash when overprint preview is enabled with the Qt bindings

    When overprint preview is enabled, the image data row size changes
    during conversion to XBGR. The Qt bindings were assuming this row
    size was constant which led to badly broken QImages at conversion
    time (generating garbage if displayed or even crashing).

    This commit simply add regression tests for the case and gets the
    row size after bitmap conversion.

 qt5/src/poppler-page.cc       |  8 ++++----
 qt5/tests/CMakeLists.txt      |  1 +
 qt5/tests/check_overprint.cpp | 41
 +++++++++++++++++++++++++++++++++++++++++
 qt6/src/poppler-page.cc       |  8 ++++----
 qt6/tests/CMakeLists.txt      |  1 +
 qt6/tests/check_overprint.cpp | 38 ++++++++++++++++++++++++++++++++++++++
 6 files changed, 89 insertions(+), 8 deletions(-)

commit f0d648c3f0cb69121d0115d468401d58255ad0cf
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jun 16 11:36:53 2023 +0200

    Update (C)

 poppler/UTF.cc | 1 +
 poppler/UTF.h  | 1 +
 2 files changed, 2 insertions(+)

commit 7b199526e6f7bb5a28e8ddd017e23ae51b85b9f6
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Wed Jun 14 16:13:23 2023 +0200

    Cryptosign: OCSP and AIA: Document

    Document how the backends interacts with the OCSP and AIA flags,
    and ensure the implementation matches.

 poppler/GPGMECryptoSignBackend.cc |  2 +-
 qt5/src/poppler-form.h            | 12 ++++++++++++
 qt6/src/poppler-form.h            | 12 ++++++++++++
 3 files changed, 25 insertions(+), 1 deletion(-)
